*"表題 サイズの比較 GTOOL3(GUCSIZ)
*
*"履歴 90/08/19 沼口  敦
*
*
*********************************************************************
*"         << データサイズの比較 >>
*********************************************************************
      SUBROUTINE GUCSIZ
     I         ( HHEAD1, HHEAD2,
     O           IXSTR1, IXDIM1, IXSTR2, IXDIM2,
     O           IYSTR1, IYDIM1, IYSTR2, IYDIM2,
     O           IZSTR1, IZDIM1, IZSTR2, IZDIM2,
     O           IXSTRC, IXENDC, IXDIMC,
     O           IYSTRC, IYENDC, IYDIMC,
     O           IZSTRC, IZENDC, IZDIMC         )
*
      CHARACTER  HHEAD1 ( * )*(*)        !" ヘッダー１
      CHARACTER  HHEAD2 ( * )*(*)        !" ヘッダー２
      INTEGER    IXSTR1, IXDIM1          !" 軸１の始めと大きさ
      INTEGER    IXSTR2, IXDIM2          !"  〃 （ヘッダー２）
      INTEGER    IYSTR1, IYDIM1          !" 軸２の始めと大きさ
      INTEGER    IYSTR2, IYDIM2          !"  〃 （ヘッダー２）
      INTEGER    IZSTR1, IZDIM1          !" 軸３の始めと大きさ
      INTEGER    IZSTR2, IZDIM2          !"  〃 （ヘッダー２）
      INTEGER    IXSTRC, IXENDC, IXDIMC  !" 軸１の共通部分
      INTEGER    IYSTRC, IYENDC, IYDIMC  !" 軸２の共通部分
      INTEGER    IZSTRC, IZENDC, IZDIMC  !" 軸３の共通部分
*
*"         < 1. サイズを調べる >
*
      CALL GUQSIZ
     I         ( HHEAD1,
     O           IXSTR1, IXEND1, IXDIM1,
     O           IYSTR1, IYEND1, IYDIM1,
     O           IZSTR1, IZEND1, IZDIM1 )
      CALL GUQSIZ
     I         ( HHEAD2,
     O           IXSTR2, IXEND2, IXDIM2,
     O           IYSTR2, IYEND2, IYDIM2,
     O           IZSTR2, IZEND2, IZDIM2 )
*
*"         < 2. 共通部分 >
*
      IXSTRC = MAX( IXSTR1, IXSTR2 )
      IYSTRC = MAX( IYSTR1, IYSTR2 )
      IZSTRC = MAX( IZSTR1, IZSTR2 )
      IXENDC = MIN( IXEND1, IXEND2 )
      IYENDC = MIN( IYEND1, IYEND2 )
      IZENDC = MIN( IZEND1, IZEND2 )
*
*"         < 3. 共通部分の大きさ >
*
      IXDIMC = IXENDC - IXSTRC + 1
      IYDIMC = IYENDC - IYSTRC + 1
      IZDIMC = IZENDC - IZSTRC + 1
*
      RETURN
      END
